@import url("https://fonts.googleapis.com/css?family=Lato:300,300italic");

@import 'colors';
@import 'mixins';

%no-select {
  user-select: none;
  cursor: default;
}

* {
  @extend %no-select;
}

body {
  font-size: 62.5%;
  color: $textColor;
  background-color: $bgColor;
}

::-webkit-scrollbar {
  @include qualify(body) {
    width: 5px;
  }

  &-track {
    background: #110D0D;
  }

  &-thumb {
    background: #888;
  }
}

#dashboard {
  display: block;
  max-width: 100%;
  margin: 0 auto;

  padding: .25rem 1rem;

  &-header {
    display: flex;
    align-items: center;
    font-family: 'Lato', sans-serif;
    text-transform: uppercase;
  }

  &-title {
    flex: 1;
    font-size: 2.5rem;
  }
}

.server {
  display: flex;
  align-items: center;

  padding: 10px 0;
  border: 1px solid map-get($statusColors, default);
  border-radius: 5px;
  background-color: rgba(map-get($statusColors, default), .1);

  > .server-icon {
    display: inline-block;
    font-size: 2.5rem;
    margin: 0 .5rem 0 1.5rem;
  }

  &-list {
    display: grid;

    grid-template-columns: repeat(auto-fill, minmax(25em, 1fr));
    @media screen and (min-width: 1400px) {
      grid-template-columns: repeat(auto-fill, minmax(25rem, 1fr));
    }
    grid-gap: 2em;
  }

  &-details {
    flex: 1;
    display: block;
    list-style: none;
    margin: 0 1rem;
    padding: 0;

    font-size: .75rem;
    line-height: 1.5;

    text-align: left;

    li {
      display: flex;
      color: #7e8794;

      .data {
        text-align: right;
        margin-left: auto;
      }

      .key {
        margin-right: auto;
      }
    }

    .data {
      font-weight: 600;
    }

    .desc {
      white-space: pre-line;
    }

    .data,
    .desc {
      color: $textColor;
    }

    .signal {
      text-transform: uppercase;
      color: map-get($statusColors, default);

      &::before {
        content: '';
        display: inline-block;
        width: .6rem;
        height: .6rem;
        background-color: currentColor;
        border-radius: 50%;
        margin-right: .25rem;
        margin-top: -.2rem;
        vertical-align: middle;
      }
    }
  }
}

@each $status, $color in $statusColors {
  @include serverStatus($status, $color, $bgColor);
}

.tippy-tooltip {
  .server-details {
    margin: .25em;
  }

  .tippy-content {
    width: 20em;
    @media screen and (min-width: 1400px) {
      width: 25rem;
    }
  }
}
